##
# The Project Name
PROJECTNAME = "PloneSVNaccess"

##
# Protocols which are allowed to access<br>
# Do not allow access through file:/// if the user under which the plone server runs has access to a repository with activated permissions. The product can not check this. Every user who is allowed to create a PloneSVNaccess object will get write access to this repository through the Plone system.
PROTOCOLS = ['http://', 'https://', 'svn://', 'svn+ssh://', 'file:///']    
    
##
# The skins dir
SKINS_DIR = 'skins'

from Products.CMFCore import CMFCorePermissions
##
# Permissions -  do not change!
add_permission = CMFCorePermissions.AddPortalContent
edit_permission = CMFCorePermissions.ModifyPortalContent
view_permission = 'SVN_Read'
write_permission = 'SVN_Write'
webdav_permission = "SVN_WEBDAV"

##
# Roles
view_role = 'SVN_Read_Access'
write_role = 'SVN_Write_Access'
webdav_role = 'SVN_WEB-DAV_Access'

##
# Globals variable -  do not change!
GLOBALS = globals()

